<?php
/* 
 * @package     Joomla.Site 
 * @subpackage  mod_r17_phoca_slider 
 * @copyright (c) Radius17 
 * @web: https://radius17.ru 
 * @license https://radius17.ru/docs/license.html 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
 * 
 * All SERVICES/EXTENSIONS ARE MADE FOR THE LATEST VERSIONS OF JOOMLA AND JOOMSHOPPING,  
 * BUT WE CAN NOT GUARANTEE, THAT THE EXTENSIONS/SERVICES WILL RUN WITH FUTURE VERSIONS  
 * OF THESE CMS AND ITS COMPONENTS. 
 * 
 * Revision num =  89 
 * Build: 1438 
 * Build date: 2020.01.20 3:43:09 
 *  
 */   

defined('_JEXEC') or die;
$html_captions="";
$html='<div class="r17ph_slider_outer_wrapper" style="width:'.($slider_width>0 ? $slider_width.'px' : "100%").';"><div class="r17ph_slider_wrapper">'; 
$html.='<div id="'.$slider_id.'">';
foreach($images as $image){
	$thumbLinkM	= PhocaGalleryFileThumbnail::getThumbnailName($image->filename, $image_type);
	$link=explode("|",$image->extlink1);
	$html.='<div class="r17ph_slider_item_wrapper" style="padding:0 '.$slide_margin.'px;">';
	$html.= '<a style="line-height: '.$slide_height.'px;" class="slide_image" title="'.$image->title.'"';
	if(isset($link[0])) $html.= ' href="'. JRoute::_($link[0]).'"';
	$html.= '>';
	$html.= '<img style="max-height: '.$slide_height.'px;" src="'. JRoute::_($thumbLinkM->rel).'" />';
	$html.= '</a>';
	$html.='</div>';
}
$html.="</div></div></div>"; 
echo $html;